Subject: Re: [PATCH net-next v4 3/7] net: stmmac: refactor FPE verification process

From: Furong Xu <[email-masked]>
Date: Wed, 21 Aug 2024 12:58:33 +0800

Hi Vladimir

On Tue, 20 Aug 2024 15:34:56 +0300, Vladimir Oltean <[email-masked]> wrote:
> I took the liberty of rewriting the fpe_task to a timer, and delete the
> workqueue. Here is a completely untested patch, which at least is less
> complex, has less code and is easier to understand. What do you think?
> 

Your patch is much better than my ugly implementation ;)

Some small fixes are required to make kselftest-ethtool_mm pass.

Would you mind if I rebase you patch, fix some small issues, make sure all
test cases pass, split it into two patches and include them in my patchset,
then send to review as a Co-developer and a tester?

Thanks.